Description

Hi,

I've trying to implement the reposman.rb here in my site, but I'm facing some issues:

a) I need to create the repository with recommended folder structure (branches, tags, trunk)

b) Since I'm using the TortoiseSVN + TortoiseRedminePlugin, I need to create some properties on repository (bugtraq:logregex,

bugtraq:provideruuid, bugtraq:url) to enable use it.

c) I would like to set a pre-commit hook to validate the log message is not empty

I'm not a Ruby developer, but I know other languages (.NET, PHP) I take a look on source code of reposman.rb (without knowing its

structure) and I have some clues what could be done to address the issues related above.

I'm not a subversion expert, so I could not figure out how to create the repository with the default structure.

History

#1 - 2011-01-25 11:49 - Fernando Possebon

Since I don't have any experience on Ruby, I implemented what I need on PHP. This PHP script I scheduled on crontab.

[[http://pastebin.com/6PQp6fz5]]

For now, this approach fill my needs but I believe that in future this script could have some problems, anyway if someone wants to use it, feel free.

#2 - 2011-01-25 13:08 - Fernando Possebon

New version of script:

[[http://pastebin.com/H0c0hr9B]]

#3 - 2011-02-18 12:29 - Tom Kuther

Thank you very much for this.

We need a) and c) too.

Would be nice if reposman.rp could handle it out-of-the-box, though.

#4 - 2011-02-18 13:21 - Etienne Massip

- Category set to SCM

#5 - 2011-03-24 06:33 - Toshi MARUYAMA

- Category changed from SCM to SCM extra
